Bug 6459 - pam_smbpass build error
pam_smbpass build error
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Build environment
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Guenther Deschner
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 05:27 UTC by Björn Jacke
Modified: 2009-11-10 08:01 UTC (History)
1 user (show)

See Also:
bjacke: review+
vl: review+


Attachments
proposed patch (825 bytes, patch)
2009-06-10 05:30 UTC, Björn Jacke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2009-06-10 05:27:29 UTC
There's a build problem on some Distros like on some Debian systems, where strncat seems to be a macro which contains strcat and thus leads to this compile error (reported by Karo in IRC :-):

16:01 < ks> Compiling pam_smbpass/support.c
16:01 < ks> pam_smbpass/support.c: In function `_log_err':
16:01 < ks> pam_smbpass/support.c:93: error: `__ERROR__XX__NEVER_USE_STRCAT___' undeclared (first use in this
            function)
16:01 < ks> pam_smbpass/support.c:93: error: (Each undeclared identifier is reported only once
16:01 < ks> pam_smbpass/support.c:93: error: for each function it appears in.)
16:01 < ks> pam_smbpass/support.c:93: error: syntax error before ';' token

proposed patch follows...
Comment 1 Björn Jacke 2009-06-10 05:30:12 UTC
Created attachment 4267 [details]
proposed patch
Comment 2 Guenther Deschner 2009-06-17 05:48:23 UTC
Hm, shouldn't we use just asprintf here ?
Comment 3 Volker Lendecke 2009-06-17 05:52:48 UTC
That's what I also proposed on irc. We would have to use talloc_asprintf, because asprintf might not be available everywhere. We did not reach consensus though.

Volker
Comment 4 Simo Sorce 2009-06-17 06:41:49 UTC
Isn't asprintf available through libreplace ?
Comment 5 Volker Lendecke 2009-06-17 06:47:18 UTC
Do we have libreplace in pam_smbpass?

Volker
Comment 6 Guenther Deschner 2009-06-18 09:54:28 UTC
well, pam_smbpass needs to link against all of passdb, right ? In that case using asprintf here surely is not a problem.
Comment 7 Michael Adam 2009-06-30 05:14:49 UTC
ok, somehow this bug ended up @/me...

I think someone of you who have uttered an vote for talloc_asprintf should propose a new patch? ... :-)

Michael
Comment 8 Michael Adam 2009-06-30 06:34:51 UTC
Schwarzer Peter ==> gd
Comment 9 Jeremy Allison 2009-07-02 17:22:26 UTC
As this is the remaining showstopper for 3.4.0 due tomorrow I'd suggest going with the patch as-is. Any other suggestions ?
Jeremy.
Comment 10 Karolin Seeger 2009-07-03 02:38:39 UTC
Picked Björn's patch for 3.4.0.
Günther would you still like to provide the asprintf patch or should we close the bug report?
Comment 11 Guenther Deschner 2009-07-11 15:17:39 UTC
Closing as fixed. Thanks for the patch!